%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate serde_derive

Name:           rust-serde_derive
Version:        1.0.203
Release:    1%{?dist}
Summary:        Macros 1.1 implementation of #[derive(Serialize, Deserialize)]

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/serde_derive
Source0:         %{crates_source}
BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Macros 1.1 implementation of #[derive(Serialize, Deserialize)].}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/crates-io.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deserialize_in_place-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deserialize_in_place-devel %{_description}

This package contains library source intended for building other packages which
use the "deserialize_in_place" feature of the "%{crate}" crate.

%files       -n %{name}+deserialize_in_place-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.203-1
- initial build
